aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/test/shell/integration
diff options
context:
space:
mode:
authorGravatar Dmitry Lomov <dslomov@google.com>2017-02-17 14:48:48 +0000
committerGravatar Dmitry Lomov <dslomov@google.com>2017-02-17 14:57:32 +0000
commite36a66cd6e35e5b4b276f2b6ce63e1c691bcb02c (patch)
tree7d2b273bf2948aa350147a91da3a6b4ad0111e34 /src/test/shell/integration
parent75639985d593f683ba13d2ceb38ec310662fb56b (diff)
*** Reason for rollback *** Broke tests on CI: http://ci.bazel.io/job/bazel-tests/570/ *** Original change description *** Roll forward execroot change RELNOTES[INC]: Previously, an external repository would be symlinked into the execution root at execroot/local_repo/external/remote_repo. This changes it to be at execroot/remote_repo. This may break genrules/Skylark actions that hardcode execution root paths. If this causes breakages for you, ensure that genrules are using $(location :target) to access files and Skylark rules are using http://bazel.io/docs/skylark/lib/File.html's path, dirname, etc. functions. Cust... -- PiperOrigin-RevId: 147833177 MOS_MIGRATED_REVID=147833177
Diffstat (limited to 'src/test/shell/integration')
-rwxr-xr-xsrc/test/shell/integration/java_integration_test.sh12
1 files changed, 2 insertions, 10 deletions
diff --git a/src/test/shell/integration/java_integration_test.sh b/src/test/shell/integration/java_integration_test.sh
index 907dbf6848..e86e90a926 100755
--- a/src/test/shell/integration/java_integration_test.sh
+++ b/src/test/shell/integration/java_integration_test.sh
@@ -636,13 +636,6 @@ java_binary(
'--g=$(JAVABASE)',
],
)
-
-genrule(
- name = "javabase",
- srcs = [],
- cmd = "echo $(JAVABASE) > $@",
- outs = ["javabase.out"],
-)
EOF
cat >$pkg/java/com/google/jvmflags/Foo.java <<EOF
@@ -650,9 +643,8 @@ package com.google.jvmflags;
public class Foo { public static void main(String[] args) {} }
EOF
- bazel build //$pkg/java/com/google/jvmflags:all || fail "build failed"
+ bazel build //$pkg/java/com/google/jvmflags:foo || fail "build failed"
- javabase="$(cat ${PRODUCT_NAME}-genfiles/$pkg/java/com/google/jvmflags/javabase.out)"
STUBSCRIPT=${PRODUCT_NAME}-bin/$pkg/java/com/google/jvmflags/foo
[ -e $STUBSCRIPT ] || fail "$STUBSCRIPT not found"
@@ -663,7 +655,7 @@ EOF
" --d=\"double_double\" " \
' --e=no_quotes ' \
' --f=stuff$to"escape\\ ' \
- " --g=${javabase}" \
+ " --g=${runfiles_relative_javabase}" \
; do
# NOTE: don't test the full path of the JDK, it's architecture-dependent.
assert_contains $flag $STUBSCRIPT